Subject: bug#14949: Snapped window acts like a fullscreen one (Windows 7)

From: martin rudalics <[email-masked]>
Date: Sun, 05 Jan 2014 19:00:20 +0100

> No. Neither resizing the frame by hand nor using Win+left (or
 > Win+right) modifies the fullscreen frame parameter. That's what I'm
 > describing as a bug:
 >
 > Case 1:
 > emacs -Q
 > resize by hand
 > M-: (frame-parameter nil 'fullscreen) => nil
 > M-: (set-frame-parameter nil 'fullscreen nil) => nothing changes
 >
 > Case 2:
 > emacs -Q
 > Win+Left
 > M-: (frame-parameter nil 'fullscreen) => nil
 > M-: (set-frame-parameter nil 'fullscreen nil)
 >   => the pre-Win+left frame size and position is restored

But that's precisely the mystery.  It clearly indicates that Win+Left
does something different than just setting the frame size and position
and I don't have the slightest idea what that could be.

For example, if I here first evaluate

(modify-frame-parameters
  nil '((height . 61) (width . 80) (top . 0) (left . 0)))

which gives my frame the same height as FULLHEIGHT and then evaluate

(set-frame-parameter nil 'fullscreen nil)

that doesn't change anything.  Can you understand the mystery?

martin